Skip to content
Start here

Get job details

client.r2.superSlurper.jobs.get(stringjobId, JobGetParams { account_id } params, RequestOptionsoptions?): JobGetResponse { id, createdAt, finishedAt, 4 more }
GET/accounts/{account_id}/slurper/jobs/{job_id}

Retrieves detailed status and configuration for a specific R2 Super Slurper migration job.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
jobId: string
params: JobGetParams { account_id }
account_id: string
ReturnsExpand Collapse
JobGetResponse { id, createdAt, finishedAt, 4 more }
id?: string
createdAt?: string
finishedAt?: string | null
overwrite?: boolean
source?: S3SourceResponseSchema { bucket, endpoint, keys, 2 more } | GcsSourceResponseSchema { bucket, keys, pathPrefix, vendor } | R2SourceResponseSchema { bucket, jurisdiction, keys, 2 more }
One of the following:
S3SourceResponseSchema { bucket, endpoint, keys, 2 more }
bucket?: string
endpoint?: string | null
keys?: Array<string> | null
pathPrefix?: string | null
vendor?: "s3"
GcsSourceResponseSchema { bucket, keys, pathPrefix, vendor }
bucket?: string
keys?: Array<string> | null
pathPrefix?: string | null
vendor?: "gcs"
R2SourceResponseSchema { bucket, jurisdiction, keys, 2 more }
bucket?: string
jurisdiction?: "default" | "eu" | "fedramp"
One of the following:
"default"
"eu"
"fedramp"
keys?: Array<string> | null
pathPrefix?: string | null
vendor?: Provider { }
status?: "running" | "paused" | "aborted" | "completed"
One of the following:
"running"
"paused"
"aborted"
"completed"
target?: Target { bucket, jurisdiction, vendor }
bucket?: string
jurisdiction?: "default" | "eu" | "fedramp"
One of the following:
"default"
"eu"
"fedramp"
vendor?: Provider { }

Get job details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const job = await client.r2.superSlurper.jobs.get('job_id', { account_id: 'account_id' });

console.log(job.id);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "finishedAt": "finishedAt",
    "overwrite": true,
    "source": {
      "bucket": "bucket",
      "endpoint": "endpoint",
      "keys": [
        "string"
      ],
      "pathPrefix": "pathPrefix",
      "vendor": "s3"
    },
    "status": "running",
    "target": {
      "bucket": "bucket",
      "jurisdiction": "default",
      "vendor": "r2"
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "finishedAt": "finishedAt",
    "overwrite": true,
    "source": {
      "bucket": "bucket",
      "endpoint": "endpoint",
      "keys": [
        "string"
      ],
      "pathPrefix": "pathPrefix",
      "vendor": "s3"
    },
    "status": "running",
    "target": {
      "bucket": "bucket",
      "jurisdiction": "default",
      "vendor": "r2"
    }
  },
  "success": true
}